_Ecore_Getopt_Desc_Store Struct Reference
Ecore » Ecore Getopt

Structure used when action is ECORE_GETOPT_ACTION_STORE. More...

`#include <Ecore_Getopt.h>`

## Data Fields

Ecore_Getopt_Type | type
| type of data being handled
Ecore_Getopt_Desc_Arg_Requirement | arg_req
| option argument requirement
union { |
const char * strv |
| String value.
Eina_Bool boolv |
| Boolean value.
short shortv |
| Short value.
int intv |
| Int value.
long longv |
| Long value.
unsigned short ushortv |
| Unsigned short value.
unsigned int uintv |
| Unsigned int value.
unsigned long ulongv |
| Unsigned long value.
double doublev |
| Double value.
} | def
| value of data being handled

## Detailed Description

Structure used when action is ECORE_GETOPT_ACTION_STORE.

It contains information about the value to store.